* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #111;
  font-family: -apple-system, BlinkMacSystemFont,"SF Pro Text", "SF Pro Display",system-ui, sans-serif;
}

.page {
  width: auto;
  margin: 0 auto;
  background: #faebf1;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 60px;
  background: #FFF9F9;
}

.logo {
  width: 350px;
  margin-top: 30px;
  margin-left: -60px;
}

.header-right {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
} 

/* NAV */
.nav {
  display: flex;
  gap: 22px;
  margin-bottom: -35px;
  margin-left: 5px;
}

.hero img {
  width: 100%;
  display: block;
}
.nav {
  display: flex;
  align-items: center;
  gap: 20px; 
}

.nav a {
  color: #c83282;
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
  letter-spacing: 0.5px;
}

.nav a:hover {
  color: #FF2F92;
  text-shadow: 0 0 10px rgba(255, 47, 146, 0.8);
}

.nav a:active {
  color: #FF006E;
  text-shadow: 0 0 18px rgba(255, 0, 110, 1);
}

.live-strip {
  width: 100%;
  background: #FFE8F1;
}

/* FOREVER TEXT LINE */
.forever-line {
  text-align: center;
  padding: 10px 0;
  font-size: 18px;
  letter-spacing: 4px;
  color: #E91E63;
  border-top: 2px solid #E91E63;
  border-bottom: 2px solid #E91E63;
  font-family: Inter, sans-serif;
}

.live-selling-section .left img {
  width: 85%;
  max-width: 650px;
  margin-left: -100px; 
  margin-top: -140px; 
}

.text-box {
  background: #FFFFFF;
  border-radius: 20px;
  margin: auto;
  margin-left: 30px;   
  width: 600px !important; 
  height: 900px !important; 
  margin-top: -140px; 
  display: flex;
  align-items: center;
  justify-content: center;
}

.text-box p {
  font-family: -apple-system, BlinkMacSystemFont,"SF Pro Text", "SF Pro Display",system-ui, sans-serif;
  font-size: 48px;
  line-height: 60px;
  color: #C9135F;             
  text-align: center;
}

/* LIVE SELLING SECTION */
.live-selling-section {
  background: #FFE8F1;
}

.live-selling-section .left img {
  width: 900px !important; 
  max-width: none;
  height: auto;
}

.text-box p {
  font-family: -apple-system, BlinkMacSystemFont,"SF Pro Text", "SF Pro Display",system-ui, sans-serif;
  font-size: 10px;
  line-height: 58px;
  color: #C9135F;
  text-align: center;
  margin-top: -140px; 
}

.section {
  display: flex;
  gap: 120px;
  padding: 140px 100px;
}

/* SIZE & POLICY  */
.size-policy-section {
  padding: 120px 0;
  display: flex;
  justify-content: center;
  background: #FFE8F1;
}

/* BACKGROUND BOARD */
.pink-board {
  position: relative;
  width: 5000px;
  height: 760px;
  margin-top: -250px; 
  background-image: url("../PICTURE/board.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.pin-img {
  position: absolute;
  width: 600px;
  top: 60px;
  left: 260px;
  z-index: 1;
}

.size-card-img {
  position: absolute;
  width: 500px;
  left: 230px;
  top: 220px;
  z-index: 3;
}

.policy-card-img {
  position: absolute;
  width: 550px;
  left: 880px;
  top: 80px;
  z-index: 3;
}

.left, .right {
  width: 50%;
}

.section img {
  width: 100%;
}

.text {
  display: flex;
  align-items: center;
  justify-content: center;
}

.text p {
  font-family: -apple-system, BlinkMacSystemFont,"SF Pro Text", "SF Pro Display",system-ui, sans-serif;
  font-size: 42px;
  line-height: 56px;
  color: #C9135F;
  text-align: center;
  width: 80%;
}

.board-section {
  padding: 140px 0;
}

.board-bg {
  position: relative;
  width: 1400px;
  height: 900px;
  margin: auto;
  background: url("../PICTURE/pink-board.png") center/cover no-repeat;
}

.pin {
  position: absolute;
  width: 220px;
  left: 300px;
  top: 60px;
  z-index: 1;
}

.card {
  position: absolute;
  width: 520px;
  z-index: 3;
}

.size-card {
  left: 260px;
  top: 260px;
}

.policy-card {
  right: 260px;
  top: 300px;
}

/* STORY + FREEBIES  */
.story-freebies {
  width: 100%;
  margin-top: -100px;
  display: flex;
  align-items: stretch;
  background: #ffffff;
}

.story-left {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 140px 80px;
}

.story-box {
  background: #FFFFFF;
  padding: 90px 80px;
  max-width: 520px;
}

.story-box p {
  font-size: 38px;
  line-height: 54px;
  color: #C9135F;
  text-align: center;
}

.story-right {
  width: 50%;
  background: #F6E5C8; 
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 40px;
}

.story-right img {
  width: 100%;
  max-width: 620px;
  height: 700px;
  display: block;
}

.headline-section {
  background: #FFE6EF;
  padding: 120px 0;
  text-align: center;
}

.headline {
  font-size: 30px;
  color: #D11B6A;
  margin-top: -110px; 
}

/* THREE IMAGE LAYOUT  */
.product-card:hover {
  box-shadow: 
    0 0 30px rgba(255, 105, 180, 0.7),
    0 0 60px rgba(255, 182, 193, 0.6);
  transform: translateY(-12px) scale(1.05);
}

.product-card:active {
  box-shadow: 
    0 0 50px rgba(255, 20, 147, 1);
  transform: scale(0.97);
}

.triple-products {
  width: 100%;
  padding: 140px 200px;
  background: #FFD1E2;          
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 40px;
  margin-top: -150px;
}

.product-card {
  width: 520px;
  background: #FFFFFF;
  border-radius: 28px;
  padding: 30px;
  box-shadow: 0 6px 16px rgba(0,0,0,0.15);
}

.center-card {
  transform: scale(1.05);
  transform: translatey(-50px);
}

.product-card img {
  width: 100%;
  display: block;
  border-radius: 20px;
}

.tryon-section {
  width: 1440px;
  margin: auto;
  padding: 80px;
  display: flex;
  gap: 80px;
  align-items: center;
}

/* LEFT SIDE */
.tryon-left {
  width: 55%;
}

.ar-frame {
  position: relative;
  border: 3px solid #dfa8c2;
  border-radius: 12px;
  padding: 20px;
  box-shadow: 0 0 20px rgba(194, 22, 82, 0.8);
}

.ar-image {
  width: 100%;
  display: block;
  border-radius: 8px;
}

/* AR TITLE */
.ar-title {
  position: absolute;
  top: -18px;
  left: 50%;
  transform: translateX(-50%);
  background: #c80c73;
  color: #fff;
  padding: 6px 16px;
  border-radius: 20px;
  font-size: 14px;
  letter-spacing: 1px;
}

/* PRODUCT THUMBNAILS */
.ar-products {
  position: absolute;
  bottom: 20px;
  left: 20px;
  display: flex;
  gap: 10px;
}

.ar-products img {
  width: 50px;
  background: rgba(0,0,0,0.4);
  border-radius: 6px;
  padding: 4px;
}

/* BUY BUTTON */
.ar-buy {
  position: absolute;
  bottom: 20px;
  right: 20px;
  background: #eba6d2;
  border: none;
  padding: 10px 22px;
  color: #000;
  border-radius: 20px;
  font-weight: bold;
  cursor: pointer;
}

.tryon-right {
  width: 45%;
}

.tryon-right p {
  font-size: 20px;
  line-height: 30px;
  color: #333;
  margin-bottom: 40px;
}

/* TRY NOW BUTTON */
.try-now {
  background: #E91E63;
  color: #fff;
  border: none;
  padding: 14px 40px;
  font-size: 18px;
  border-radius: 30px;
  cursor: pointer;
  transition: transform 0.2s, box-shadow 0.2s;
}

.try-now:hover {
  transform: scale(1.08);
  box-shadow: 0 0 20px rgba(233,30,99,0.7);
}

.tryon-text-box {
  background: #FFFFFF;          
  padding: 50px 60px;
  width: 520px;                 
  border-radius: 16px;          
  box-shadow: 0 10px 30px rgba(0,0,0,0.1);
  margin-top: 50px;
}

/* text */
.tryon-text-box p {
  font-size: 20px;
  line-height: 30px;
  color: #333;
  margin-bottom: 30px;
}

/* button */
.try-now {
  background: #E91E63;
  color: #fff;
  border: none;
  padding: 14px 40px;
  font-size: 18px;
  border-radius: 30px;
  cursor: pointer;
  margin-left: 90px;
  margin-top: 30px;
}

.try-now:hover {
  box-shadow: 0 0 18px rgba(233,30,99,0.7);
}

/* FOOTER */
.footer {
  background: #F8d1e0;
  padding: 50px 100px 20px; 
  font-family: Inter, sans-serif;
}

.footer-container {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr 1.5fr;
  gap: 30px;
  align-items: start;
}

.footer-col h4 {
  font-size: 18px;
  margin-bottom: 18px;
  color: #000;
}

.footer-col a,
.footer-col p {
  display: block;
  font-size: 14px;
  color: #333;
  margin-bottom: 10px;
  text-decoration: none;
}

.footer-col a:hover {
  color: #E91E63;
}

/* BRAND */
.footer-logo {
  width: 260px;
  margin-bottom: 20px;
}

.footer-socials {
  display: flex;
  gap: 24px;
}

.footer-socials img {
  width: 40px;
  height: 38px;
  object-fit: contain;
}

.footer-socials img:hover {
  transform: scale(1.15);
  filter: drop-shadow(0 0 10px rgba(233,30,99,0.7));
}

/* BOTTOM */
.footer-bottom {
  text-align: center;
  margin-top: 10px;
  font-size: 13px;
  color: #777;
}

.socials img:hover {
  filter: drop-shadow(0 0 15px rgba(255, 105, 180, 0.9));
  transform: scale(1.15);
}

.socials img:active {
  filter: drop-shadow(0 0 25px rgba(255, 20, 147, 1));
  transform: scale(0.95);
}
.footer-container {
  position: relative;
}

.footer-col {
  position: relative;
  padding-left: 40px;
}

.footer-col:first-child {
  padding-left: 0;
}

/* Vertical divider */
.footer-col:not(:first-child)::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 120px;
  width: 1px;
  background: #C9135F;
}

#backToTop {
  position: fixed;
  bottom: 30px;
  right: 30px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background: #E91E63;
  color: #fff;
  border: none;
  font-size: 22px;
  cursor: pointer;
  display: none;
  z-index: 999;
  box-shadow: 0 0 15px rgba(233,30,99,0.6);
}

